import * as i0 from '@angular/core';
import { PipeTransform } from '@angular/core';
import * as _angular_platform_browser from '@angular/platform-browser';
import { DomSanitizer } from '@angular/platform-browser';

declare class IncludedInPipe implements PipeTransform {
    transform<T>(value: T, list: T[]): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<IncludedInPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<IncludedInPipe, "included_in", true>;
}

declare class SafeHtmlPipe implements PipeTransform {
    private sanitizer;
    constructor(sanitizer: DomSanitizer);
    transform(value: any): _angular_platform_browser.SafeHtml;
    static ɵfac: i0.ɵɵFactoryDeclaration<SafeHtmlPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<SafeHtmlPipe, "safe_html", true>;
}

declare class SafeScriptPipe implements PipeTransform {
    private sanitizer;
    constructor(sanitizer: DomSanitizer);
    transform(value: any): _angular_platform_browser.SafeScript;
    static ɵfac: i0.ɵɵFactoryDeclaration<SafeScriptPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<SafeScriptPipe, "safe_script", true>;
}

declare class SafeStylePipe implements PipeTransform {
    private sanitizer;
    constructor(sanitizer: DomSanitizer);
    transform(value: any): _angular_platform_browser.SafeStyle;
    static ɵfac: i0.ɵɵFactoryDeclaration<SafeStylePipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<SafeStylePipe, "safe_style", true>;
}

declare class SafeUrlPipe implements PipeTransform {
    private sanitizer;
    constructor(sanitizer: DomSanitizer);
    transform(value: any): _angular_platform_browser.SafeUrl;
    static ɵfac: i0.ɵɵFactoryDeclaration<SafeUrlPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<SafeUrlPipe, "safe_url", true>;
}

declare class PipesModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<PipesModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<PipesModule, never, [typeof SafeStylePipe, typeof SafeHtmlPipe, typeof SafeScriptPipe, typeof SafeUrlPipe, typeof IncludedInPipe], [typeof SafeStylePipe, typeof SafeHtmlPipe, typeof SafeScriptPipe, typeof SafeUrlPipe, typeof IncludedInPipe]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<PipesModule>;
}

export { IncludedInPipe, PipesModule, SafeHtmlPipe, SafeScriptPipe, SafeStylePipe, SafeUrlPipe };
